Crypto Wallet
List Whitelist Addresses
List the addresses on your crypto withdrawal whitelist, with optional filters and pagination.
GET
/
v2
/
user
/
whitelistAddress
List Whitelist Addresses
curl --request GET \
--url https://api-test.velafi.com/v2/user/whitelistAddress \
--header 'X-BH-TOKEN: <api-key>'import requests
url = "https://api-test.velafi.com/v2/user/whitelistAddress"
headers = {"X-BH-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BH-TOKEN': '<api-key>'}};
fetch('https://api-test.velafi.com/v2/user/whitelistAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api-test.velafi.com/v2/user/whitelistAddress")
.header("X-BH-TOKEN", "<api-key>")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"currentPage": 123,
"size": 123,
"total": 123,
"record": [
{
"addressId": 123,
"crypto": "<string>",
"chainType": "<string>",
"address": "<string>",
"addressTag": "<string>",
"remark": "<string>"
}
]
}
}Use this endpoint to list the active entries on your crypto withdrawal whitelist.
All requests must include the
X-BH-TOKEN header with an access token. See Authentication.Endpoint
GET https://api.velafi.com/v2/user/whitelistAddress
Query Parameters
string
Filter by token symbol.
string
Filter by network name.
string
Filter by address.
string
Filter by memo or tag.
number
default:"1"
Page number, starting at
1. Defaults to 1.number
default:"10"
Records per page, from
1 to 1000. Defaults to 10.Response Fields
number
200 indicates success.string
SUCCESS on success.object
Show data fields
Show data fields
number
Page number returned.
number
Page size used for the query.
number
Total number of matching entries.
Example
cURL
curl -G https://api.velafi.com/v2/user/whitelistAddress \
-H "X-BH-TOKEN: YOUR_ACCESS_TOKEN" \
--data-urlencode "crypto=USDT" \
--data-urlencode "chainType=TRC20"
⌘I
List Whitelist Addresses
curl --request GET \
--url https://api-test.velafi.com/v2/user/whitelistAddress \
--header 'X-BH-TOKEN: <api-key>'import requests
url = "https://api-test.velafi.com/v2/user/whitelistAddress"
headers = {"X-BH-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BH-TOKEN': '<api-key>'}};
fetch('https://api-test.velafi.com/v2/user/whitelistAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api-test.velafi.com/v2/user/whitelistAddress")
.header("X-BH-TOKEN", "<api-key>")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"currentPage": 123,
"size": 123,
"total": 123,
"record": [
{
"addressId": 123,
"crypto": "<string>",
"chainType": "<string>",
"address": "<string>",
"addressTag": "<string>",
"remark": "<string>"
}
]
}
}
